/***************************************************************************
                          rpmwidgetimpl.cpp  -  description
                             -------------------
    begin                : Sun Dec 3 2000
    copyright            : (C) 2000 by Olaf Lueg, Adam Kreuschner
    email                : olaf.lueg@t-online.de, kreuschner@dvoid.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "rpmwidgetimpl.h"

RPMWidgetImpl::RPMWidgetImpl(QWidget *parent, const char *name ) : RPMWidget(parent,name) {
  // initialize the group list and add it to strGruop combo box
  groupList = new QStringList();
  groupList->append("Amusements/Games");
  groupList->append("Amusements/Graphics");
  groupList->append("Applications/Archiving");
  groupList->append("Applications/Communications");
  groupList->append("Applications/Databases");
  groupList->append("Applications/Editors");
  groupList->append("Applications/Emulators");
  groupList->append("Applications/Engineering");
  groupList->append("Applications/File");
  groupList->append("Applications/Internet");
  groupList->append("Applications/Multimedia");
  groupList->append("Applications/Productivity");
  groupList->append("Applications/Publishing");
  groupList->append("Applications/System");
  groupList->append("Applications/Text");
  groupList->append("Development/Debuggers");
  groupList->append("Development/Languages");
  groupList->append("Development/Libraries");
  groupList->append("Development/System");
  groupList->append("Development/Tools");
  groupList->append("Documentation");
  groupList->append("System Environment/Base");
  groupList->append("System Environment/Daemons");
  groupList->append("System Environment/Kernel");
  groupList->append("System Environment/Libraries");
  groupList->append("System Environment/Shells");
  groupList->append("User Interface/Desktops");
  groupList->append("User Interface/X");
  groupList->append("User Interface/X Hardware Support");
}

RPMWidgetImpl::~RPMWidgetImpl(){
}
